org.apache.ignite.internal.processors.platform

## Interface PlatformAsyncResult

    public interface PlatformAsyncResult

Represents asynchronous operation result.

### Method Summary

Methods
`IgniteFuture` `future()` Async operation future.
`void` `write(BinaryRawWriterEx writer, Object result)` Async operation result writer method.

### Method Detail

#### future

    IgniteFuture future()

Async operation future.

Returns:
  Future.

#### write

    void write(BinaryRawWriterEx writer,
             Object result)

Async operation result writer method.

Parameters:
  `writer` - Writer.
  `result` - Async operation result.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017